/**
 * 资金认领详情
 */

import { ElTag } from "element-plus";
import { h } from "vue";
import { DescriptionColumns } from "/@/components/BasicDescriptions";

//资金认领审核状态
export const CAPITAL_STATUS = [
  {
    value: "1",
    label: "待审批"
  },
  {
    value: "2",
    label: "审批通过"
  },
  {
    value: "3",
    label: "审批驳回"
  }
];

//认领详情描述列表

export const CAPITAL_COLUMNS: DescriptionColumns = [
  {
    field: "logNo",
    label: "编号",
    width: "160px"
  },
  {
    field: "status",
    label: "状态",
    render(status) {
      return h(ElTag, null, {
        default: () =>
          CAPITAL_STATUS.find(s => s.value === status)?.label || "---"
      });
    }
  },
  {
    field: "addtime",
    label: "认领时间"
  },
  {
    field: "used_fee",
    label: "资金使用金额",
    width: "110px"
  },
  {
    field: "remark",
    label: "备注"
  }
];
