import { FormConfig } from "/@/components/PageSearch";
import { INV_STATUS, PAY_STATUS } from "/@/utils/details/purchase";

const tag_type = [
  {
    value: "1",
    label: "回票标签"
  },
  {
    value: "2",
    label: "付款标签"
  },
  {
    value: "3",
    label: "付款回票最少有一个"
  },
  {
    value: "4",
    label: "付款回票都有"
  }
];

const searchFormConfig: FormConfig = {
  formItems: [
    {
      field: "supplierNo",
      type: "input",
      placeholder: "供应商编号"
    },
    {
      field: "payNo",
      type: "input",
      placeholder: "对账编号"
    },
    {
      field: "tag_id",
      type: "select",
      placeholder: "标签类型",
      options: tag_type
    },
    {
      field: "inv_status",
      type: "select",
      placeholder: "回票状态",
      options: INV_STATUS
    },
    {
      field: "pay_status",
      type: "select",
      placeholder: "付款状态",
      options: PAY_STATUS
    },
    {
      field: "timer",
      type: "date_picker",
      otherOptions: {
        type: "daterange",
        startProp: "startTime",
        endProp: "endTime",
        startPlaceholder: "开始日期",
        endPlaceholder: "结束日期"
      }
    }
  ]
};

export default searchFormConfig;
