import { STATUS_OPTIONS } from "/@/utils/details/ticket-return";
import { FormConfig } from "/@/components/PageSearch";
import { inv_type, check_type } from "./configs";

const searchFormConfig: FormConfig = {
  formItems: [
    {
      field: "status",
      type: "select",
      placeholder: "审核状态",
      options: STATUS_OPTIONS
    },
    {
      field: "invType",
      type: "select",
      placeholder: "发票上传方式",
      options: inv_type
    },
    {
      field: "checkApi",
      type: "select",
      placeholder: "发票查验方式",
      options: check_type
    },
    {
      field: "payNo",
      type: "input",
      placeholder: "对账编号"
    },
    {
      field: "hpNo",
      type: "input",
      placeholder: "对账申请编号"
    },
    {
      field: "apply_id",
      type: "input",
      placeholder: "申请人"
    },
    {
      field: "create_timer",
      type: "date_picker",
      otherOptions: {
        type: "daterange",
        startProp: 'start',
        endProp: 'end',
        startPlaceholder: "新建起始时间",
        endPlaceholder: "新建结束时间"
      }
    },
    {
      field: "open_timer",
      type: "date_picker",
      otherOptions: {
        type: "daterange",
        startProp: 'open_start',
        endProp: 'open_end',
        startPlaceholder: "开票起始时间",
        endPlaceholder: "开票结束时间"
      }
    }
  ]
};

export default searchFormConfig;
